%define upstream_name    Algorithm-Diff
%define upstream_version 1.1902

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Epoch:      1

Summary:    Compute 'intelligent' differences between two files / lists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.bz2

Buildarch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}

%description
This module compute `intelligent' differences between two files / lists.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
%make test


%files 
%doc README Changes
%{perl_vendorlib}/Algorithm
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:1.190.200-5.mga3
+ Revision: 362849
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 spuhler <spuhler> 1:1.190.200-4.mga3
+ Revision: 334441
- rebuilt for mga 3
  cleaned spec file

* Sat Feb 26 2011 jquelin <jquelin> 1:1.190.200-3.mga1
+ Revision: 60385
- rebuild for perl 5.12.3

* Tue Jan 18 2011 jquelin <jquelin> 1:1.190.200-2.mga1
+ Revision: 22006
- clean spec file
- imported package perl-Algorithm-Diff

